# Uses of Class
org.apache.zookeeper.common.ConfigException

Packages that use ConfigException
Package
Description
org.apache.zookeeper.client
org.apache.zookeeper.common
org.apache.zookeeper.server.quorum

## Uses of ConfigException in org.apache.zookeeper.client

Constructors in org.apache.zookeeper.client that throw ConfigException
Modifier
Constructor
Description
``
`ZKClientConfig(Path configPath)`

## Uses of ConfigException in org.apache.zookeeper.common

Methods in org.apache.zookeeper.common that throw ConfigException
Modifier and Type
Method
Description
`void`
ZKConfig.`addConfiguration(Path configPath)`
Add a configuration resource.
Constructors in org.apache.zookeeper.common that throw ConfigException
Modifier
Constructor
Description
``
`ZKConfig(Path configPath)`
Constructs a `ZKConfig` with properties from file.

## Uses of ConfigException in org.apache.zookeeper.server.quorum

Subclasses of ConfigException in org.apache.zookeeper.server.quorum
Modifier and Type
Class
Description
`static class`
`QuorumPeerConfig.ConfigException`